cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/components/{component_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.components.retrieve("slack-send-message", {
version: "1.0.0"
});from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.components.retrieve(
component_id="slack-send-message",
version="1.0.0",
)package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.components.requests.ComponentsRetrieveRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.components().retrieve(
"slack-send-message",
ComponentsRetrieveRequest
.builder()
.version("1.0.0")
.build()
);
}
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/components/{component_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"key": "<string>",
"name": "GitLab: List Commits",
"version": "<string>",
"configurable_props": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true
}
],
"description": "<string>",
"component_type": "<string>",
"annotations": {
"destructiveHint": true,
"idempotentHint": true,
"openWorldHint": true,
"readOnlyHint": true,
"title": "<string>"
}
}
}{
"error": "Throttled"
}Retrieve component
Get detailed configuration for a specific component by its key
GET
/
v1
/
connect
/
{project_id}
/
components
/
{component_id}
cURL
curl --request GET \
--url https://api.pipedream.com/v1/connect/{project_id}/components/{component_id} \
--header 'Authorization: Bearer <token>' \
--header 'x-pd-environment: <x-pd-environment>'import { PipedreamClient } from "@pipedream/sdk";
const client = new PipedreamClient({
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET",
projectEnvironment: "YOUR_PROJECT_ENVIRONMENT",
projectId: "YOUR_PROJECT_ID"
});
await client.components.retrieve("slack-send-message", {
version: "1.0.0"
});from pipedream import Pipedream
client = Pipedream(
project_id="YOUR_PROJECT_ID",
client_id="YOUR_CLIENT_ID",
client_secret="YOUR_CLIENT_SECRET",
)
client.components.retrieve(
component_id="slack-send-message",
version="1.0.0",
)package com.example.usage;
import com.pipedream.api.BaseClient;
import com.pipedream.api.resources.components.requests.ComponentsRetrieveRequest;
public class Example {
public static void main(String[] args) {
BaseClient client = BaseClient.withCredentials("<clientId>", "<clientSecret>")
.projectId("YOUR_PROJECT_ID")
.build()
;
client.components().retrieve(
"slack-send-message",
ComponentsRetrieveRequest
.builder()
.version("1.0.0")
.build()
);
}
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pipedream.com/v1/connect/{project_id}/components/{component_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-environment", "<x-pd-environment>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"key": "<string>",
"name": "GitLab: List Commits",
"version": "<string>",
"configurable_props": [
{
"name": "<string>",
"type": "alert",
"content": "<string>",
"label": "<string>",
"description": "<string>",
"optional": true,
"disabled": true,
"readOnly": true,
"hidden": true,
"remoteOptions": true,
"useQuery": true,
"reloadProps": true,
"withLabel": true
}
],
"description": "<string>",
"component_type": "<string>",
"annotations": {
"destructiveHint": true,
"idempotentHint": true,
"openWorldHint": true,
"readOnlyHint": true,
"title": "<string>"
}
}
}{
"error": "Throttled"
}Authorizations
ConnectTokenOAuth2
A short-lived Connect token for client-side requests on behalf of an end user. Generate one via the Create Connect token endpoint.
Headers
The environment in which the server client is running
Available options:
development, production Path Parameters
The key that uniquely identifies the component
The project ID, which starts with proj_.
Pattern:
^proj_[a-zA-Z0-9]+$Query Parameters
Optional semantic version of the component to retrieve
Response
component retrieved
Response received when retrieving a specific component
Show child attributes
Show child attributes
Was this page helpful?
⌘I